Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.socket.messaging
Class IPAddressResponseMessage

    java.lang.Object
      rice.pastry.messaging.Message
          rice.pastry.socket.messaging.SocketMessage
              rice.pastry.socket.messaging.DatagramMessage
                  rice.pastry.socket.messaging.IPAddressResponseMessage

All Implemented Interfaces:
  java.io.Serializable

public class IPAddressResponseMessage
extends DatagramMessage

Class which represents a request for the external visible IP address

Version:
  $Id: IPAddressResponseMessage.java 2562 2005-06-09 16:26:21Z jstewart $
Author:
  Alan Mislove
See Also:
  Serialized Form

Field Summary
`protected java.net.InetSocketAddress` | `address` DESCRIBE THE FIELD

Fields inherited from class rice.pastry.socket.messaging.DatagramMessage
`inbound, outbound, start`

Fields inherited from class rice.pastry.messaging.Message
`DEFAULT_PRIORITY_LEVEL`

Constructor Summary
`IPAddressResponseMessage(java.net.InetSocketAddress address, long start)` Constructor

Method Summary
`java.net.InetSocketAddress` | `getAddress()` Gets the Address attribute of the IPAddressResponseMessage object
`java.lang.String` | `toString()` DESCRIBE THE METHOD

Methods inherited from class rice.pastry.socket.messaging.DatagramMessage
`getInboundPath, getOutboundPath, getStartTime`

Methods inherited from class rice.pastry.messaging.Message
`getCredentials, getDate, getDestination, getPriority, getSender, getSenderId, setPriority, setSender, stamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### address

    protected java.net.InetSocketAddress address

  DESCRIBE THE FIELD

Constructor Detail

### IPAddressResponseMessage

    public IPAddressResponseMessage(java.net.InetSocketAddress address,
                                    long start)

  Constructor

Parameters:
  `address` - DESCRIBE THE PARAMETER
  `start` - DESCRIBE THE PARAMETER

Method Detail

### getAddress

    public java.net.InetSocketAddress getAddress()

  Gets the Address attribute of the IPAddressResponseMessage object

  Returns:
    The Address value

### toString

    public java.lang.String toString()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.